Bug 1970590 - Cluster upgrade halts as machine-config-daemon fails to parse `rpm-ostree status` during cluster upgrades
Summary: Cluster upgrade halts as machine-config-daemon fails to parse `rpm-ostree sta...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.7.z
Assignee: Colin Walters
QA Contact: Rio Liu
URL:
Whiteboard:
Depends On: 1958812
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-10 18:18 UTC by OpenShift BugZilla Robot
Modified: 2021-08-03 17:56 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-03 17:56:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2609 0 None open [release-4.7] Bug 1970590: daemon: Change runGetOut to not intermix stdout/stderr 2021-07-14 17:47:22 UTC
Red Hat Product Errata RHBA-2021:2903 0 None None None 2021-08-03 17:56:49 UTC

Comment 4 Michael Nguyen 2021-07-27 15:21:39 UTC
Verified on 4.7.0-0.nightly-2021-07-26-204501

ostree admin unlock --hotfix
reboot
replaced  /usr/bin/rpm-ostree with script

#!/bin/sh
echo oops 1>&2
exit 1

upgrade from 4.7.0-0.nightly-2021-07-26-204501 to 4.8.0-0.nightly-2021-07-26-182557 and captured the more verbose error handling

machine-config-daemon 
I0727 15:17:42.413587   90230 start.go:108] Version: v4.8.0-202107231447.p0.git.29813c8.assembly.stream-dirty (29813c845a4a3ee8e6856713c585aca834e0bf1e)
I0727 15:17:42.416003   90230 start.go:121] Calling chroot("/rootfs")
I0727 15:17:42.416078   90230 rpm-ostree.go:278] Running captured: rpm-ostree status --json
F0727 15:17:42.417786   90230 start.go:150] Failed to initialize single run daemon: error reading osImageURL from rpm-ostree: error running rpm-ostree status --json: exit status 1
oops

Comment 6 errata-xmlrpc 2021-08-03 17:56:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.22 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:2903


Note You need to log in before you can comment on or make changes to this bug.